## xdg-desktop-portal 1.20.0+ds

=== meson_options.txt ===
option('dbus-service-dir',
       type: 'string',
       value: '',
       description: 'directory for dbus service files (default: PREFIX/share/dbus-1/services)')
option('flatpak-interfaces',
       type: 'feature',
       value: 'auto',
       description: 'Build flatpak interfaces')
option('flatpak-interfaces-dir',
       type: 'string',
       value: '',
       description: 'directory for Flatpak interface files (default: PREFIX/share/dbus-1/interfaces)')
option('systemd-user-unit-dir',
       type: 'string',
       value: '',
       description: 'directory for systemd user service files (default: PREFIX/lib/systemd/user)')
option('geoclue',
       type: 'feature',
       value: 'auto',
       description: 'Enable Geoclue support. Needed for location portal')
option('gudev',
       type: 'feature',
       value: 'auto',
       description: 'Enable udev support. Needed for the USB portal.')
option('systemd',
       type: 'feature',
       value: 'auto',
       description: 'Enable systemd support')
option('documentation',
       type: 'feature',
       value: 'auto',
       description: 'Build documentation (requires sphinx)')
option('datarootdir',
        type: 'string',
        value: '',
        description: 'Define the datarootdir for the pkgconf file')
option('tests',
        type: 'feature',
        value: 'enabled',
        description: 'Enable the test suite')
option('installed-tests',
        type: 'boolean',
        value: false,
        description: 'Enable installation of some test cases')
option('man-pages',
       type: 'feature',
       value: 'auto',
       description: 'Build man pages (requires rst2man)')
option('sandboxed-image-validation',
       type: 'feature',
       value: 'enabled',
       description: 'Use Bubblewrap to sandbox image validation. Disabling this option may lead to security vulnerabilities.')
option('sandboxed-sound-validation',
       type: 'feature',
       value: 'enabled',
       description: 'Use Bubblewrap to sandbox sound validation. Disabling this option may lead to security vulnerabilities.')

=== debian/control ===
Source: xdg-desktop-portal
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 bubblewrap,
 dbus-daemon,
 debhelper-compat (= 13),
 geoclue-2.0 <!nocheck>,
 gstreamer1.0-plugins-good,
 gstreamer1.0-tools,
 fuse3 <!nocheck>,
 libcap2-bin <!nocheck>,
 libgdk-pixbuf-2.0-dev,
 libgeoclue-2-dev,
 libflatpak-dev,
 libfuse3-dev,
 libglib2.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgudev-1.0-dev,
 libjson-glib-dev,
 libpipewire-0.3-dev,
 librsvg2-common <!nocheck>,
 libsystemd-dev,
 libumockdev-dev <!nocheck>,
 meson,
 pipewire <!nocheck>,
 procps <!nocheck>,
 python3 <!nocheck>,
 python3-dbus <!nocheck>,
 python3-dbusmock <!nocheck>,
 python3-docutils <!nodoc>,
 python3-gi <!nocheck>,
 python3-pytest <!nocheck>,
 umockdev <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 furo <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinxext-opengraph <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://flatpak.github.io/xdg-desktop-portal/
Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal

Package: xdg-desktop-portal
Architecture: linux-any
Multi-Arch: foreign
Depends:
 bubblewrap,
 default-dbus-session-bus | dbus-session-bus,
 fuse3,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 librsvg2-common,
Description: desktop integration portal for Flatpak and Snap
 xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
 and possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features.
 .
 The implementation of these interfaces is expected to require
 user confirmation before responding to the sandboxed application's
 requests. For example, when the sandboxed application ask to open a file,
 the portal implementation will open an "Open" dialog outside the sandbox,
 and will only make the selected file available to the sandboxed app if
 that dialog is confirmed.
 .
 xdg-desktop-portal is designed to be desktop-agnostic, and uses a
 desktop-environment-specific GUI backend such as xdg-desktop-portal-gtk
 to provide its functionality.

Package: xdg-desktop-portal-dev
Architecture: all
Multi-Arch: foreign
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
Recommends:
 fonts-inter-variable,
Description: desktop integration portal - development files
 xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
 and possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features. See the xdg-desktop-portal package's
 description for more details.
 .
 This package contains development files for backends such as
 xdg-desktop-portal-gtk.

Package: xdg-desktop-portal-tests
Architecture: any
Depends:
 dbus-daemon,
 geoclue-2.0,
 gir1.2-umockdev-1.0,
 libcap2-bin,
 librsvg2-common,
 pipewire,
 procps,
 python3,
 python3-dbusmock,
 python3-gi,
 python3-pytest,
 umockdev,
 xdg-desktop-portal,
 ${misc:Depends},
 ${shlibs:Depends},
Description: desktop integration portal - automated tests
 xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
 and possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features. See the xdg-desktop-portal package's
 description for more details.
 .
 This package contains automated tests.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

CONFFLAGS :=

ifneq ($(filter %-dev,$(built_binaries)),)
CONFFLAGS += -Ddocumentation=enabled
else
CONFFLAGS += -Ddocumentation=disabled
endif

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
CONFFLAGS += -Dtests=enabled
else
CONFFLAGS += -Dtests=disabled
endif

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
CONFFLAGS += -Dman-pages=enabled
else
CONFFLAGS += -Dman-pages=disabled
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dinstalled-tests=true \
		-Dsandboxed-image-validation=enabled \
		$(CONFFLAGS)
		$(NULL)

ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 1
else
test_timeout_multiplier = 10
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	G_MESSAGES_DEBUG=all \
	XDP_TEST_IN_CI=1 \
	XDP_VALIDATE_ICON_INSECURE=1 \
	XDP_VALIDATE_SOUND_INSECURE=1 \
	dh_auto_test \
		--no-parallel \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		$(NULL)
endif

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

## xdg-desktop-portal 1.20.3%2Bds

=== debian/tests/control ===
Tests: gnome-desktop-testing
Restrictions: isolation-machine
Depends:
 gnome-desktop-testing,
 xdg-desktop-portal-tests,

## xdg-desktop-portal 1.20.3+ds

=== debian/changelog ===
xdg-desktop-portal (1.20.3+ds-2) unstable; urgency=medium

  * d/watch: Convert to v5 format
    - Add Lintian override for #1125489
  * d/gbp.conf, d/watch: Only watch for stable (even-numbered) releases
  * d/watch.devel: Add alternative uscan watch file for development
    (odd-numbered) releases
  * d/control: Remove Rules-Requires-Root, unnecessary since Debian 13
  * d/control: Standards-Version: 4.7.3
    - Remove Priority: optional, not required since Debian 13

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Jan 2026 14:47:56 +0000

xdg-desktop-portal (1.20.3+ds-1) unstable; urgency=medium

  * New upstream stable release
    - Fix a crash when a Flatpak app does not export a .desktop file
      with the same name as its app-ID (Closes: #1106091)
    - Allow Flatpak and Snap apps to use portal APIs even if they do not
      have a .desktop file matching the app-ID
    - Fix file descriptors being closed too soon, resulting in log noise

 -- Simon McVittie <smcv@debian.org>  Wed, 21 May 2025 11:05:04 +0100

xdg-desktop-portal (1.20.1+ds-2) unstable; urgency=medium

  * Release to unstable (Closes: #1105889)

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 17:21:45 +0100

xdg-desktop-portal (1.20.1+ds-1) experimental; urgency=medium

  * New upstream stable release
    - Fix installation of dynamic launcher .desktop files, for example
      for browsers in webapp mode (Closes: #1105889)
    - Load portal backends from XDG_DATA_HOME and all XDG_DATA_DIRS,
      allowing use of locally-installed (unpackaged) backends
    - Re-order bubblewrap arguments for icon/sound validators to avoid
      mounting a tmpfs that hides the working directory if run from /tmp,
      for example during testing
    - Fix thread-safety in the host app registration portal by doing
      everything from the main thread
    - Input capture moves from ACTIVE to ENABLED state when deactivated,
      instead of staying ACTIVE
    - Improve log messages for the realtime interface
    - Stop the D-Bus services before the D-Bus session bus stops,
      avoiding spurious warnings in the system log
    - Refactor initialization of app info to reduce duplication and
      ensure that file descriptors are marked close-on-exec
    - Log a warning if the documents portal mount point cannot be found
    - Highlight xdg-desktop-portal errors if outputting to a terminal
    - Send xdg-desktop-portal log messages to stderr, not stdout
    - Translation updates: bg, ca
    - Documentation updates
  * d/copyright: Use GNU web address instead of FSF's former postal address
  * d/copyright: Be clearer about the Library vs. Lesser General Public
    License
  * d/copyright: Record that some files are GPL-2+
  * d/xdg-desktop-portal-tests.lintian-overrides:
    Add an override for a false positive in the tests
  * Release to experimental for wider testing during the Debian 13 freeze

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 13:47:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xdg-desktop-portal
 Section: admin
-Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
@@ -24,16 +23,16 @@
  libpipewire-0.3-dev,
  librsvg2-common <!nocheck>,
  libsystemd-dev,
- libumockdev-dev <!nocheck>,
+ libumockdev-dev <!nocheck> <!noinsttest>,
  meson,
  pipewire <!nocheck>,
  procps <!nocheck>,
- python3 <!nocheck>,
- python3-dbus <!nocheck>,
- python3-dbusmock <!nocheck>,
+ python3 <!nocheck> <!noinsttest>,
+ python3-dbus <!nocheck> <!noinsttest>,
+ python3-dbusmock <!nocheck> <!noinsttest>,
  python3-docutils <!nodoc>,
- python3-gi <!nocheck>,
- python3-pytest <!nocheck>,
+ python3-gi <!nocheck> <!noinsttest>,
+ python3-pytest <!nocheck> <!noinsttest>,
  umockdev <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
@@ -41,8 +40,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinxext-opengraph <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://flatpak.github.io/xdg-desktop-portal/
 Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
@@ -101,6 +99,7 @@
  xdg-desktop-portal-gtk.
 
 Package: xdg-desktop-portal-tests
+Build-Profiles: <!noinsttest>
 Architecture: any
 Depends:
  dbus-daemon,

=== debian/watch ===
Version: 5

# Upstream releases official tarballs, so we use those in preference to
# git tags
Source: https://github.com/flatpak/@PACKAGE@/tags
Matching-Pattern: .*/releases/tag/v?(1\.[0-9]*[24680]\.[0-9.]+)
Compression: xz
Download-URL-Mangle: s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#
Dversion-Mangle: s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?//;s/[+~](?:dfsg|ds)[0-9]*//
Filename-Mangle: s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#
Repack-Suffix: +ds

## xdg-desktop-portal 1.21.0%2Bds

=== debian/watch ===
Version: 5

# Upstream releases official tarballs, so we use those in preference to
# git tags
Source: https://github.com/flatpak/@PACKAGE@/tags
Matching-Pattern: .*/releases/tag/v?@ANY_VERSION@
Compression: xz
Download-URL-Mangle: s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#
Dversion-Mangle: s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?//;s/[+~](?:dfsg|ds)[0-9]*//
Filename-Mangle: s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#
Repack-Suffix: +ds

## xdg-desktop-portal 1.21.0+ds

=== debian/changelog ===
xdg-desktop-portal (1.21.0+ds-1ubuntu3) resolute; urgency=medium

  * d/p: Fix tests with the gdk-pixbuf/glycin transition

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 10 Feb 2026 11:01:01 +0100

xdg-desktop-portal (1.21.0+ds-1ubuntu2) resolute; urgency=medium

  * d/p: Add patches from debian accidentally dropped during merge
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 17:07:44 +0100

xdg-desktop-portal (1.21.0+ds-1ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    - Import Sebastian Wick's version of the Jan Horak WebExtensions
      native messaging portal patch
      + debian/patches/webextensions-portal.patch
    - Temporarily disable the webextension build test
      + debian/patches/Disable-webextension-test.patch
    - Remove -dev Recommends: fonts-inter-variable
  * d/p: Drop patches applied upstream
  * d/p: Rebase webextensions patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 16:31:22 +0100

xdg-desktop-portal (1.21.0+ds-1) experimental; urgency=medium

  * New upstream development prerelease
  * d/control, d/gbp.conf: Branch for experimental
  * Revert "d/gbp.conf, d/watch: Only watch for stable (even-numbered)
    releases"
  * d/copyright: Update
  * d/p/tests-Skip-tests-that-need-the-documents-portal-if-FUSE-d.patch:
    Add proposed patch to skip tests needing FUSE on buildds
  * d/p/tests-Don-t-include-interpreter-in-non-executable-library.patch:
    Add patch to avoid a warning from Lintian

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Jan 2026 22:00:08 +0000

xdg-desktop-portal (1.20.3+ds-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:53:11 +0100

xdg-desktop-portal (1.20.3+ds-1ubuntu1) questing; urgency=medium

  * Merge with debian (LP: #2120301). Remaining changes:
    - Import Sebastian Wick's version of the Jan Horak WebExtensions
      native messaging portal patch
      + debian/patches/webextensions-portal.patch
    - Backport patches to fix setting realtime mode (LP#2107340):
      + debian/patches/differentiate_pidfd_proc.patch
      + debian/patches/get_pidns_from_pidfd.patch
    - debian/salsa-ci.yml: Use Ubuntu recipe
    - Remove -dev Recommends: fonts-inter-variable
  * d/p: Add proposed patch to skip broken test in sbuild
    - tests-Skip-test_trash_file_fails-if-we-couldn-t-get-a-fd.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 11 Aug 2025 14:01:01 +0200

xdg-desktop-portal (1.20.0+ds-2ubuntu3) questing; urgency=medium

  * Backport patches from Sebastian Wick to get pidns's from pidfd's.
    - differentiate_pidfd_proc.patch
      + utils: Differentiate between pidfd and /proc/$pid dirfds
      + Upstream SHA: dd08d451e3019f4ec6285ecb14d4c746b6e1d420
      + Refactoring commit required for the next patch that actually fixes the
        problem to cleanly apply.
    - get_pidns_from_pidfd.patch
      + utils: Add new function to get the pidns from an actual pidfd
      + Upstream SHA: 522236e41043a558a825da4cee70ee31ce607147
      + Fixes failures when calling XdpAppInfo.get_pidns with a pidfd rather
        than a dirfd.
      + Fixes (LP: #2107340)

 -- Charles <charles05@canonical.com>  Tue, 08 Jul 2025 10:22:12 +0100

xdg-desktop-portal (1.20.0+ds-2ubuntu2) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 May 2025 11:08:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: xdg-desktop-portal
 Section: admin
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
@@ -42,8 +43,10 @@
  python3-sphinxext-opengraph <!nodoc>,
 Standards-Version: 4.7.3
 Homepage: https://flatpak.github.io/xdg-desktop-portal/
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
+XS-Debian-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portaltree/ubuntu/latest
 
 Package: xdg-desktop-portal
 Architecture: linux-any
@@ -85,8 +88,6 @@
  ${misc:Depends},
  ${shlibs:Depends},
  ${sphinxdoc:Depends},
-Recommends:
- fonts-inter-variable,
 Description: desktop integration portal - development files
  xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
  and possibly other desktop containment/sandboxing frameworks. This service
